interface AbiParameter {
    name: string;
    type: string;
    components?: Array<AbiParameter>;
}
export interface AbiEventParameter extends AbiParameter {
    indexed: boolean;
}
interface AbiEntry {
    type: string;
}
export interface AbiEvent {
    name: string;
    type: 'event';
    inputs: Array<AbiEventParameter>;
    anonymous: boolean;
}
export interface EventDescription {
    name: string;
    signature: string;
    signatureHash: string;
    parameters: Array<AbiEventParameter>;
}
declare type Abi = Array<AbiEntry>;
interface CompilerOutput {
    contracts: {
        [globalName: string]: {
            [contractName: string]: {
                abi: Abi;
            };
        };
    };
}
export declare function generateContractInterfaces(contractsOutput: CompilerOutput): string;
export {};
